import { ChatBubbleProps, ChatBubbleStyles, MessageRenderProps } from '../ChatBubble';
import { Message } from '../';
import { Author } from '../Author';
import { AvatarProps, AvatarClasses } from '../Avatar';
import { LastSeenAvatarProps, LastSeenAvatarStyles, LastSeenAvatarClasses } from '../LastSeenAvatar';
import { AvatarStyles } from './../Avatar';
import { ChatBubbleClasses } from './../ChatBubble';
import { BubbleGroupClasses } from './classes';
import { BubbleGroupStyles } from './styles';
import { ComponentType } from '../utils/componentType';
export * from './styles';
export * from './classes';
export interface BubbleGroupProps<T = string> {
    yourAuthorId?: number;
    messages: Message<T>[];
    author: Author<T>;
    authors?: Author<T>[];
    showRecipientAvatar?: boolean;
    bubblesCentered?: boolean;
    classes?: BubbleGroupClasses;
    chatBubbleClasses?: ChatBubbleClasses;
    avatarClasses?: AvatarClasses;
    lastSeenAvatarClasses?: LastSeenAvatarClasses;
    styles?: BubbleGroupStyles;
    chatBubbleStyles?: ChatBubbleStyles;
    avatarStyles?: AvatarStyles;
    lastSeenAvatarStyles?: LastSeenAvatarStyles;
    CustomAvatar?: ComponentType<AvatarProps<T>>;
    CustomMessageRender?: ComponentType<MessageRenderProps<T>>;
    CustomLastSeenAvatar?: ComponentType<LastSeenAvatarProps<T>>;
    CustomChatBubble?: ComponentType<ChatBubbleProps<T>>;
    CustomSystemChatBubble?: ComponentType<ChatBubbleProps<T>>;
    showRecipientLastSeenMessage?: boolean;
}
declare function BubbleGroup<T = string>(props: BubbleGroupProps<T>): JSX.Element;
declare const Memoized: typeof BubbleGroup;
export { Memoized as BubbleGroup };
