## ChatBubble

The `ChatBubble` component basically just turns a given string into chat bubble. And depending on the `id` you give it, it will render in the correct colour and alignment.

#### Props

**message**: This must be a valid [Message](../Message) object.
**bubbleStyles** (optional): styles to apply to the chat bubbles _(will probably change. I will update this page with a proposal)_
* **yourAuthorId**: _number_ - Your author id.

```javascript
bubbleStyles={{
  userBubble: object
  chatBubble: object
  text: object
}}
```

**bubblesCentered** (optional): a boolean to determine whether the bubbles should be centered.

#### Usage

```javascript
import React from 'react';
import { ChatBubble, Message } from 'react-bell-chat';

class MyChatBubble extends React.Component {
  render() {
    const message = new Message(0, "Hello World!");
    return <ChatBubble message={message}>
  }
}
```
